=== debian/changelog ===
ocaml-batteries (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
    - Remove 0002-Disable-qtest-based-tests.patch, fixed upstream.
    - Remove 0003-Disable-test-compat-broken-with-OCaml-4.01.0.patch, no longer
      relevant.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 23 Dec 2015 00:27:08 +0100

ocaml-batteries (2.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 21:51:19 +0200
