=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
BATTERIES_DEB_DOCROOT = $(CURDIR)/debian/tmp/doc
export BATTERIES_DOCROOT = /usr/share/doc/libbatteries-ocaml-doc/
export DESTDIR = $(OCAML_STDLIB_DIR)
DOC_PKG = libbatteries-ocaml-doc

%:
	dh --with ocaml $@

ifneq ($(OCAML_HAVE_OCAMLOPT),yes)
export BATTERIES_NATIVE = false
endif

ifneq ($(OCAML_NATDYNLINK),yes)
export BATTERIES_NATIVE_SHLIB=false
endif

override_dh_auto_build:
	make DOCROOT=$(BATTERIES_DOCROOT) all
ifneq (,$(findstring $(DOC_PKG),$(shell dh_listpackages)))
	make doc
endif

override_dh_auto_test:
	make test

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)/batteries $(BATTERIES_DEB_DOCROOT)
	make DESTDIR=$(OCAMLFIND_DESTDIR) install
ifneq (,$(findstring $(DOC_PKG),$(shell dh_listpackages)))
	make DOCROOT=$(BATTERIES_DEB_DOCROOT) install-doc
endif

override_dh_auto_clean:
	make clean
	rm -rf man/ .omakedb .omakedb.lock
	-find . -name '*.omc' -exec rm {} \;

override_dh_compress:
	dh_compress -Xmyocamlbuild.ml -X.idex

.PHONY: override_dh_auto_build override_dh_auto_test override_dh_auto_install
.PHONY: override_dh_auto_clean override_dh_compress

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing
