## ocaml-batteries 2.5.3

=== debian/changelog ===
ocaml-batteries (2.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 20:11:24 +0200
