=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50),
+ debhelper (>= 10),
  ocaml-nox (>= 4),
  camlp4, camlp4-extra,
  ocaml-findlib (>= 1.4),
  libcamomile-ocaml-dev (>= 0.8),
  libounit-ocaml-dev,
+ ocamlbuild,
  dh-ocaml (>= 0.9.5~)
 Standards-Version: 3.9.2
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-batteries.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-batteries.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
 Homepage: http://batteries.forge.ocamlcore.org
 
 Package: libbatteries-ocaml-dev
