## ocaml-batteries 2.6.0

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,25 @@
 # Directory where to build the qtest suite
 QTESTDIR ?= qtest
 
+ifeq ($(shell ocamlfind query -p-format qcheck),qcheck)
+	QTESTPKG = qcheck
+else
+	QTESTPKG = QTest2Lib
+endif
+
 INSTALL_FILES = _build/META _build/src/*.cma \
 	battop.ml _build/src/*.cmi _build/src/*.mli \
 	_build/src/batteriesHelp.cmo _build/src/batteriesConfig.cmo _build/src/batteriesPrint.cmo \
 	ocamlinit build/ocaml
+# the bin_annot flag in _tags is not handled by versions of ocamlbuild < 4.01.0
+# hence we only install *.cmt{i} files if they were produced
+ifneq ($(wildcard _build/src/*.cmt),)
+	INSTALL_FILES += _build/src/*.cmt
+endif
+ifneq ($(wildcard _build/src/*.cmti),)
+	INSTALL_FILES += _build/src/*.cmti
+endif
+
 OPT_INSTALL_FILES = _build/src/*.cmx _build/src/*.a _build/src/*.cmxa \
 	_build/src/*.cmxs _build/src/*.lib
 
@@ -65,7 +80,7 @@
 endif
 endif
 
-.PHONY: all clean doc install uninstall reinstall test qtest qtest-clean camfail camfailunk coverage man
+.PHONY: all clean doc install uninstall reinstall test qtest qtest-clean camfail camfailunk coverage man test_install
 
 all:
 	@echo "Build mode:" $(MODE)
@@ -91,6 +106,9 @@
 install: all uninstall_packages
 	ocamlfind install $(NAME) $(INSTALL_FILES) \
 		-optional $(OPT_INSTALL_FILES)
+
+test_install:
+	./scripts/test_install.sh
 
 uninstall_packages:
 	ocamlfind remove $(NAME)
@@ -133,9 +151,24 @@
 
 ### List of source files that it's okay to try to test
 
-DONTTEST=src/batteriesHelp.ml
-TESTABLE ?= $(filter-out $(DONTTEST), $(wildcard src/*.ml))
+# TESTABLE contains the source files as the user sees them,
+# as a mix of .ml and .mlv files in the src/ directory
+
+# TESTDEPS represents the file whose changes Makefile should watch to
+# decide to reprocess the test results. It is identical to TESTABLE.
+
+# TESTFILES contains the OCaml source files as `qtest` wants to see
+# them, that is after preprocessing. We ask ocamlbuild to build the
+# $(TESTFILES) from $(TESTABLE), and pass them to qtest from the
+# `_build` directory.
+
+DONTTEST=src/batteriesHelp.ml \
+	 src/batConcreteQueue_402.ml src/batConcreteQueue_403.ml
+TESTABLE ?= $(filter-out $(DONTTEST),\
+   $(wildcard src/*.ml) $(wildcard src/*.mlv))
 TESTDEPS = $(TESTABLE)
+
+TESTFILES = $(TESTABLE:.mlv=.ml)
 
 ### Test suite: "offline" unit tests
 ##############################################
@@ -151,12 +184,17 @@
 
 # extract all qtest unit tests into a single ml file
 $(QTESTDIR)/all_tests.ml: $(TESTABLE)
-	qtest -o $@ --shuffle --preamble-file qtest/qtest_preamble.ml extract $(TESTABLE)
+	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) $(TESTFILES)
+	(cd _build; qtest -o ../$@ --shuffle \
+	  --preamble-file ../qtest/qtest_preamble.ml \
+	  extract $(TESTFILES))
 
 _build/$(QTESTDIR)/all_tests.byte: $(QTESTDIR)/all_tests.ml
-	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -cflags -warn-error,+26 -pkg oUnit,QTest2Lib $(QTESTDIR)/all_tests.byte
+	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -cflags -warn-error,+26\
+		-pkg oUnit,$(QTESTPKG) $(QTESTDIR)/all_tests.byte
 _build/$(QTESTDIR)/all_tests.native: $(QTESTDIR)/all_tests.ml
-	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -cflags -warn-error,+26 -pkg oUnit,QTest2Lib $(QTESTDIR)/all_tests.native
+	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -cflags -warn-error,+26\
+		-pkg oUnit,$(QTESTPKG) $(QTESTDIR)/all_tests.native
 
 
 ### qtest: quick run of inline unit tests
@@ -204,6 +242,9 @@
 
 test-compat: src/batteries_compattest.ml
 	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) src/batteries_compattest.byte
+
+test-build-from-install:
+	$(MAKE) -C test-build
 
 test: test-byte test-compat
