=== debian/changelog ===
ocaml-batteries (2.6.0-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:35:59 +0200

ocaml-batteries (2.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix FTBFS with OCaml 4.05

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 10:50:40 +0200
