=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DOC_PKG = libbatteries-ocaml-doc
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 ifneq ($(OCAML_HAVE_OCAMLOPT),yes)
 export BATTERIES_NATIVE = false
