=== debian/watch ===
version=3
https://github.com/ocaml-batteries-team/batteries-included/releases .*/v(.*)\.tar\.gz
