=== debian/changelog ===
ocaml-batteries (2.10.0-1build2) focal; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2020 22:16:18 +0100

ocaml-batteries (2.10.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:28:06 +0000

ocaml-batteries (2.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add libnum-ocaml-dev to Build-Depends
  * Update Vcs-*
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Nov 2019 10:49:10 +0100
