=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-batteries
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -10,12 +11,13 @@
  ocaml-findlib (>= 1.4),
  libcamomile-ocaml-dev (>= 0.8),
  libounit-ocaml-dev,
+ libnum-ocaml-dev,
  ocamlbuild,
  dh-ocaml (>= 0.9.5~)
 Standards-Version: 3.9.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-batteries.git
-Homepage: http://batteries.forge.ocamlcore.org
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-batteries.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-batteries
+Homepage: https://github.com/ocaml-batteries-team/batteries-included
 
 Package: libbatteries-ocaml-dev
 Architecture: any
