=== debian/watch ===
version=3
opts="uversionmangle=s/_test_/~test~/" \
https://github.com/ocaml-batteries-team/batteries-included/releases .*/archive/v(.*)\.tar\.gz
