## ocaml-batteries 3.1.0

=== Makefile ===
--- 
+++ 
@@ -169,7 +169,7 @@
 # `_build` directory.
 
 DONTTEST=src/batteriesHelp.ml \
-	 src/batteries_compattest.ml \
+	 src/batteries_compattest.mlv \
 	 src/batConcreteQueue_402.ml src/batConcreteQueue_403.ml
 TESTABLE ?= $(filter-out $(DONTTEST),\
    $(wildcard src/*.ml) $(wildcard src/*.mlv))
@@ -248,6 +248,13 @@
 
 full-test: $(TEST_TARGET)
 
+PREFILTER_BIN = _build/build/prefilter.byte
+# FIXME: Not sure what actually produces this binary:
+$(PREFILTER_BIN): all
+# FIXME: Should probably be done by ocamlbuild somehow:
+src/batteries_compattest.ml: src/batteries_compattest.mlv $(PREFILTER_BIN)
+	$(PREFILTER_BIN) < $< > $@
+
 test-compat: src/batteries_compattest.ml
 	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) src/batteries_compattest.byte
 
@@ -288,4 +295,14 @@
 
 # uploads the current documentation to github hdoc2/ directory
 upload-docs:
-	make doc && git checkout gh-pages && rm -f hdoc2/*.html && cp _build/batteries.docdir/*.html hdoc2/ && git add hdoc2/*.html && git commit -a -m"Update to latest documentation" && git push github gh-pages
+	make doc && \
+	rm -rf /tmp/batteries.docdir && \
+	cp -a _build/batteries.docdir /tmp/ && \
+	git checkout gh-pages && \
+	rm -f hdoc2/*.html && \
+	cp /tmp/batteries.docdir/*.html hdoc2/ && \
+	git add hdoc2/*.html && \
+	git commit hdoc2 -m "Update ocamldoc to latest release" && \
+	git push \
+	git@github.com:ocaml-batteries-team/batteries-included.git gh-pages \
+	git checkout master
