=== debian/changelog ===
ocaml-batteries (3.1.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Do not install battop.ml (Closes: #985286)

  [ Debian Janitor ]
  * libbatteries-ocaml-doc: Add Multi-Arch: foreign.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 21 Mar 2021 10:57:36 +0100

ocaml-batteries (3.1.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Sep 2020 10:43:39 +0200

ocaml-batteries (3.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 13:39:09 +0200
