=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: ocaml-batteries
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ocaml-nox (>= 4),
- camlp4, camlp4-extra,
- ocaml-findlib (>= 1.4),
- libcamomile-ocaml-dev (>= 0.8),
+ ocaml-findlib,
  libounit-ocaml-dev,
  libnum-ocaml-dev,
  ocamlbuild,
- dh-ocaml (>= 0.9.5~)
-Standards-Version: 3.9.2
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-batteries.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-batteries
 Homepage: https://github.com/ocaml-batteries-team/batteries-included
@@ -28,9 +26,7 @@
  ${misc:Depends}
 Recommends: libbatteries-ocaml-doc
 Suggests: ledit
-Provides:
- libbatteries-camlp4-dev,
- ${ocaml:Provides}
+Provides: ${ocaml:Provides}
 Description: Batteries included: OCaml development platform - development files
  Batteries included is a community-driven effort to standardize on an
  uniform, documented, and comprehensive OCaml development platform.
@@ -52,6 +48,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Batteries included - OCaml development platform - documentation
  Batteries included is a community-driven effort to standardize on an
  uniform, documented, and comprehensive OCaml development platform.
@@ -73,7 +70,6 @@
 Architecture: all
 Depends:
  libbatteries-ocaml-dev,
- libbatteries-camlp4-dev,
  libbatteries-ocaml-doc,
  ${misc:Depends}
 Description: Batteries included: OCaml development platform - metapackage
