## ocaml-batteries 3.4.0

=== Makefile ===
--- 
+++ 
@@ -33,21 +33,34 @@
 	QTESTPKG = QTest2Lib
 endif
 
-INSTALL_FILES = _build/META _build/src/*.cma \
-	battop.ml _build/src/*.cmi _build/src/*.mli \
-	_build/src/batteriesHelp.cmo _build/src/batteriesConfig.cmo _build/src/batteriesPrint.cmo \
-	ocamlinit build/ocaml
+INSTALL_FILES = _build/META _build/src/*.cma _build/src/*.cmi _build/src/*.mli \
+	toplevel/battop.ml _build/toplevel/*.cmi _build/toplevel/*.mli \
+# Note: we do not currently install
+#       _build/toplevel/*.cma
+# as there are no such files. If you create a proper library for batteries-help, you need to add *.cma
+# to INSTALL_FILES.
+
+INSTALL_FILES += \
+	_build/src/batteriesConfig.cmo _build/src/batteriesPrint.cmo _build/toplevel/batteriesHelp.cmo \
+	toplevel/ocamlinit build/ocaml
+
 # the bin_annot flag in _tags is not handled by versions of ocamlbuild < 4.01.0
 # hence we only install *.cmt{i} files if they were produced
 ifneq ($(wildcard _build/src/*.cmt),)
 	INSTALL_FILES += _build/src/*.cmt
-endif
+	INSTALL_FILES += _build/toplevel/*.cmt
+endif
+
 ifneq ($(wildcard _build/src/*.cmti),)
 	INSTALL_FILES += _build/src/*.cmti
-endif
-
-OPT_INSTALL_FILES = _build/src/*.cmx _build/src/*.a _build/src/*.cmxa \
-	_build/src/*.cmxs _build/src/*.lib
+	INSTALL_FILES += _build/toplevel/*.cmti
+endif
+
+OPT_INSTALL_FILES = \
+	_build/src/*.cmx _build/src/*.cmxa _build/src/*.cmxs \
+	_build/src/*.a _build/src/*.lib \
+	_build/toplevel/*.cmx _build/toplevel/*.cmxa _build/toplevel/*.cmxs \
+	_build/toplevel/*.a _build/toplevel/*.lib
 
 ifneq ($(QTEST_SEED),)
 	QTEST_SEED_FLAG = --seed $(QTEST_SEED)
@@ -57,7 +70,7 @@
 
 # What to build
 TARGETS  = src/batteries.cma
-TARGETS += src/batteriesHelp.cmo
+TARGETS += toplevel/batteriesHelp.cmo
 TARGETS += src/batteriesThread.cma
 TARGETS += META
 BENCH_TARGETS  = benchsuite/bench_int.native
@@ -67,6 +80,7 @@
 BENCH_TARGETS += benchsuite/bitset.native
 BENCH_TARGETS += benchsuite/bench_map.native
 BENCH_TARGETS += benchsuite/bench_nreplace.native
+BENCH_TARGETS += benchsuite/bench_set_to_seq.native
 TEST_TARGET = test-byte
 
 ifeq ($(BATTERIES_NATIVE_SHLIB), yes)
@@ -86,7 +100,7 @@
 endif
 endif
 
-.PHONY: all clean doc install uninstall reinstall test qtest qtest-clean camfail camfailunk man test_install
+.PHONY: all clean deps doc install uninstall reinstall test qtest qtest-clean camfail camfailunk man test_install
 
 all:
 	@echo "Build mode:" $(MODE)
@@ -94,7 +108,7 @@
 
 clean:
 	@${RM} src/batteriesConfig.ml src/batUnix.mli batteries.odocl \
-	  bench.log $(QTESTDIR)/all_tests.ml
+	  bench.log $(QTESTDIR)/all_tests.ml src/batteries_compattest.ml
 	@${RM} -r man/
 	@$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -clean
 	@echo " Cleaned up working copy" # Note: ocamlbuild eats the first char!
@@ -104,6 +118,12 @@
 
 doc: batteries.odocl
 	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) batteries.docdir/index.html
+
+PREFILTER_BIN = _build/build/prefilter.byte
+# compute human-readable dependencies between modules
+deps: $(PREFILTER_BIN)
+	ocamldep -modules -all -one-line -ml-synonym .mlv -mli-synonym .mliv \
+	  -pp $(PREFILTER_BIN) src/*.ml src/*.mlv src/*.mliv src/*.mli > dependencies.txt
 
 man: all batteries.odocl
 	-mkdir man
@@ -168,8 +188,7 @@
 # $(TESTFILES) from $(TESTABLE), and pass them to qtest from the
 # `_build` directory.
 
-DONTTEST=src/batteriesHelp.ml \
-	 src/batteries_compattest.mlv \
+DONTTEST=src/batteries_compattest.mlv \
 	 src/batConcreteQueue_402.ml src/batConcreteQueue_403.ml
 TESTABLE ?= $(filter-out $(DONTTEST),\
    $(wildcard src/*.ml) $(wildcard src/*.mlv))
@@ -248,9 +267,8 @@
 
 full-test: $(TEST_TARGET)
 
-PREFILTER_BIN = _build/build/prefilter.byte
-# FIXME: Not sure what actually produces this binary:
-$(PREFILTER_BIN): all
+$(PREFILTER_BIN): build/prefilter.ml
+	$(OCAMLBUILD) build/prefilter.byte
 # FIXME: Should probably be done by ocamlbuild somehow:
 src/batteries_compattest.ml: src/batteries_compattest.mlv $(PREFILTER_BIN)
 	$(PREFILTER_BIN) < $< > $@
@@ -286,12 +304,11 @@
 # assumes irreproachably pristine working directory
 release-cleaned: setup.ml doc test-native
 	git archive --format=tar --prefix=batteries-$(VERSION)/ HEAD \
-	  | gzip > batteries-$(VERSION).tar.gz
+	  | gzip -9 > batteries-$(VERSION).tar.gz
 
 setup.ml: _oasis
 	oasis setup
 	git commit setup.ml -m"Update setup.ml based on _oasis"
-
 
 # uploads the current documentation to github hdoc2/ directory
 upload-docs:
@@ -303,6 +320,5 @@
 	cp /tmp/batteries.docdir/*.html hdoc2/ && \
 	git add hdoc2/*.html && \
 	git commit hdoc2 -m "Update ocamldoc to latest release" && \
-	git push \
-	git@github.com:ocaml-batteries-team/batteries-included.git gh-pages \
+	git push origin gh-pages && \
 	git checkout master
