=== debian/changelog ===
ocaml-batteries (3.4.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 10:55:23 +0100

ocaml-batteries (3.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Dec 2021 15:46:06 +0100

ocaml-batteries (3.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 10:28:43 +0100
