=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libnum-ocaml-dev,
  ocamlbuild,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-batteries.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-batteries
