## ocaml-batteries 3.5.1

=== debian/changelog ===
ocaml-batteries (3.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 14:26:23 +0100
