=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4),
+ ocaml,
  ocaml-findlib,
  libounit-ocaml-dev,
  libnum-ocaml-dev,
