## ocaml-batteries 3.6.0

=== debian/changelog ===
ocaml-batteries (3.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 09:31:06 +0100
