=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  ocaml-findlib,
  libounit-ocaml-dev,
  libnum-ocaml-dev,
+ libcamlp-streams-ocaml-dev,
  ocamlbuild,
  dh-ocaml
 Standards-Version: 4.6.0
