=== debian/rules ===
--- 
+++ 
@@ -42,9 +42,4 @@
 override_dh_compress:
 	dh_compress -Xmyocamlbuild.ml -X.idex
 
-.PHONY: override_dh_auto_build override_dh_auto_test override_dh_auto_install
-.PHONY: override_dh_auto_clean override_dh_compress
-
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing
+override_dh_dwz:
