=== debian/changelog ===
ocaml-batteries (3.7.2-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:19:11 +0100

ocaml-batteries (3.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 08:29:22 +0100

ocaml-batteries (3.7.1-3) unstable; urgency=medium

  * Team upload
  * Remove one test that fails on mips64el and hppa (at least)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Oct 2023 06:48:18 +0200

ocaml-batteries (3.7.1-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on 32-bit architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Oct 2023 03:38:50 +0200

ocaml-batteries (3.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Sep 2023 21:57:41 +0200
