## ocaml-batteries 3.8.0

=== debian/changelog ===
ocaml-batteries (3.8.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:42:19 +0200

ocaml-batteries (3.8.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:45:42 +0200

ocaml-batteries (3.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:12:23 +0200
