=== debian/changelog ===
ocaml-batteries (3.9.0-2) unstable; urgency=medium

  * Team upload
  * Fix Build-Depends for nocheck profile (Closes: #1116828)
  * Bump Standards-Version to 4.7.2
  * Bump debian/watch version to 5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Oct 2025 09:47:22 +0200

ocaml-batteries (3.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2025 08:39:51 +0100
