=== debian/control ===
--- 
+++ 
@@ -6,13 +6,17 @@
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
- ocaml-findlib,
+ ocaml-dune,
  libounit-ocaml-dev,
  libnum-ocaml-dev,
  libcamlp-streams-ocaml-dev,
- ocamlbuild,
- dh-ocaml
-Standards-Version: 4.6.0
+ ocaml-qtest <!nocheck>,
+ libqtest-ocaml-dev <!nocheck>,
+ libqcheck-ocaml-dev <!nocheck>,
+ libbenchmark-ocaml-dev,
+ ocaml-odoc <!nodoc>,
+ dh-ocaml (>= 2)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-batteries.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-batteries
