=== debian/watch ===
Version: 5

Source: https://github.com/ocaml-batteries-team/batteries-included/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
Uversionmangle: s/_test_/~test~/
