## ocaml-batteries 3.10.0

=== debian/changelog ===
ocaml-batteries (3.10.0-1build3) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Feb 2026 23:58:04 +0100

ocaml-batteries (3.10.0-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 20:31:37 +0100

ocaml-batteries (3.10.0-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 00:33:36 +0100

ocaml-batteries (3.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Dec 2025 10:40:02 +0100
